# -*- coding: utf-8 -*-

FONDI_CHOICES_REPRESENTATION = (
    ('torta', 'Torta'),
    ('linee', 'Linee'),
    ('entrambi', 'Entrambi')
)

FONDI_OAUTHTOKENS = {}

FONDI_NOT_COMPATIBLE_CLIENTS = ('MSIE 6', 'MSIE 7')

FONDI_CMSPLUGINS_FUND_TEMPLATES = (
    ("cms_plugins/fondi/fondi_fund_list.html", "Funds list",),
    ("cms_plugins/fondi/fondi_fund_detail.html", "Fund detail",),
)

FONDI_CMSPLUGINS_DIARY_TEMPLATES = (
    ("cms_plugins/fondi/fondi_diary_list.html", "Diary list",),
    ("cms_plugins/fondi/fondi_diary_sidebar.html", "Diary sidebar",),
)

FONDI_CMSPLUGINS_FUNDCATEGORIES_TEMPLATES = (
    ("cms_plugins/fondi/fondi_fundcategory_list.html", "Fund category list",),
)

FONDI_INIT_DATA = {
    'MO' : {
        'nome' : 'Fondi Monetari',
        'fondi' : {
            'SO'  : {
                'nome' : 'ACOMEA LIQUIDITA'
            },
            'LI'  : {
                'nome' : 'ACOMEA BREVE TERMINE'
            },
        }
    },
    'FO' : {
        'nome' : 'Fondi Obbligazionari',
        'fondi' : {
            'OB' : {
                'nome' : 'ACOMEA EURO OBBLIGAZIONARIO'
            },
            'OC' : {
                'nome' : 'ACOMEA OBBLIGAZIONARIO CORPORATE'
            },
            'MO' : {
                'nome' : 'ACOMEA PERFORMANCE'
            },
        }
    },
    'FF' : {
        'nome' : 'Fondi Flessibili',
        'fondi' : {
            'LP' : {
                'nome' : 'ACOMEA PATRIMONIO PRUDENTE'
            },
            'LD' : {
                'nome' : 'ACOMEA PATRIMONIO DINAMICO'
            },
            'LA' : {
                'nome' : 'ACOMEA PATRIMONIO AGGRESSIVO'
            },
            'BI' : {
                'nome' : 'ACOMEA FONDO ETF ATTIVO'
            },
        }
    },
    'FA' : {
        'nome' : 'Fondi Azionari',
        'fondi' : {
            'EM' : {
                'nome' : 'ACOMEA PAESI EMERGENTI'
            },
            'IT' : {
                'nome' : 'ACOMEA ITALIA'
            },
            'GL' : {
                'nome' : 'ACOMEA GLOBALE'
            },
            'EU' : {
                'nome' : 'ACOMEA EUROPA'
            },
            'PA' : {
                'nome' : 'ACOMEA ASIA PACIFICO'
            },
            'AM' : {
                'nome' : 'ACOMEA AMERICA'
            },
        }
    },
}




